## org.apache.lucene.analysis.br
Class BrazilianStemmer

    java.lang.Object
      org.apache.lucene.analysis.br.BrazilianStemmer

    public class BrazilianStemmer

extends Object

A stemmer for Brazilian Portuguese words.

Constructor Summary
`BrazilianStemmer()`

Method Summary
`String` `log()` For log and debug purpose
`protected String` `stem(String term)` Stems the given term to an unique `discriminator`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrazilianStemmer

    public BrazilianStemmer()

Method Detail

### stem

    protected String stem(String term)

  Stems the given term to an unique `discriminator`.

  Parameters:
    `term` - The term that should be stemmed.
  Returns:
    Discriminator for `term`

### log

    public String log()

  For log and debug purpose

  Returns:
    TERM, CT, RV, R1 and R2

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.